Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.list.pagination
Class PaginationTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.list.pagination.PaginationTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class PaginationTag

extends GenericMakumbaTag

This class provides pagination navigation links, i.e. links to the first, previous, next and last page of a paginated list. This tag can be used in the following three ways:

- Inside a mak:list: no attribute needs to be specified
- Outside a mak:list: specify the list using the 'forList' attribute
- Not connected to a specific mak:list: specify limit, offset and totalCount attributes

Version:
  $Id: PaginationTag.java,v 1.1 23.12.2007 21:41:04 Rudi Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PaginationTag()`

Method Summary
`protected void` | `doAnalyzedCleanup()` Called by doEndTag in its finally block.
`int` | `doEndTag()` Handles exceptions and calls doMakumbaEndTag()
`void` | `doStartAnalyze(PageCache pageCache)` Starts the analysis of the tag, without knowing what tags follow it in the page.
`int` | `doStartTag()` Handles exceptions, initialises state and calls `doAnalyzedStartTag` FIXME some of the exception handling should not be here
`StringBuilder` | `getQueryString(Map<?,?> map)`
`void` | `setAction(String action)`
`void` | `setForList(String forList)`
`void` | `setItemName(String itemName)`
`void` | `setLimit(String limit)`
`void` | `setOffset(String offset)`
`void` | `setPaginationLinkTitle(String paginationLinkTitle)`
`void` | `setPaginationLinkTitleText(String paginationLinkTitleText)`
`void` | `setShowPageTitle(String showPageTitle)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTotalCount(String totalCount)`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`getParams, initialiseState, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleId, setTitle, setType, setType, setUrlEncode, toString`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, allowsIdenticalKey, canHaveBody, checkValidAttributeValues, doAnalyzedEndTag, doAnalyzedStartTag, doEndAnalyze, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis, setTagKey`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PaginationTag

    public PaginationTag()

Method Detail

### doEndTag

    public int doEndTag()

  Description copied from class: `AnalysableTag`
  Handles exceptions and calls doMakumbaEndTag()

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `AnalysableTag`

### doStartAnalyze

    public void doStartAnalyze(PageCache pageCache)

  Description copied from class: `AnalysableTag`
  Starts the analysis of the tag, without knowing what tags follow it in the page. Typically this method will allocate initial data structures, that are then completed at doEndAnalyze()

  Overrides:
    `doStartAnalyze` in class `AnalysableTag`
  Parameters:
    `pageCache` - The page cache for the current page

### doStartTag

    public int doStartTag()

  Description copied from class: `AnalysableTag`
  Handles exceptions, initialises state and calls `doAnalyzedStartTag` FIXME some of the exception handling should not be here

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `GenericMakumbaTag`

### getQueryString

    public StringBuilder getQueryString(Map<?,?> map)

### setForList

    public void setForList(String forList)

### setItemName

    public void setItemName(String itemName)

### setLimit

    public void setLimit(String limit)
                  throws JspException

  Throws:
    `JspException`

### setOffset

    public void setOffset(String offset)
                   throws JspException

  Throws:
    `JspException`

### setStyleClass

    public void setStyleClass(String styleClass)

  Overrides:
    `setStyleClass` in class `GenericMakumbaTag`

### setShowPageTitle

    public void setShowPageTitle(String showPageTitle)

### setPaginationLinkTitle

    public void setPaginationLinkTitle(String paginationLinkTitle)

### setPaginationLinkTitleText

    public void setPaginationLinkTitleText(String paginationLinkTitleText)

### setTotalCount

    public void setTotalCount(String totalCount)
                       throws JspException

  Throws:
    `JspException`

### setAction

    public void setAction(String action)

### doAnalyzedCleanup

    protected void doAnalyzedCleanup()

  Description copied from class: `AnalysableTag`
  Called by doEndTag in its finally block. Use it to clean references that will not be used next time the servlet container uses the tag object.

  Overrides:
    `doAnalyzedCleanup` in class `GenericMakumbaTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20